Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.hyades.logging.events.cbe.impl
Class CommonBaseEventImpl

    java.lang.Object
      |
      +--org.eclipse.emf.common.notify.impl.BasicNotifierImpl
            |
            +--org.eclipse.emf.ecore.impl.BasicEObjectImpl
                  |
                  +--org.eclipse.emf.ecore.impl.EObjectImpl
                        |
                        +--org.eclipse.hyades.logging.events.cbe.impl.SerializableImpl
                              |
                              +--org.eclipse.hyades.logging.events.cbe.impl.CommonBaseEventImpl

All Implemented Interfaces:
  java.lang.Cloneable, CommonBaseEvent, org.eclipse.emf.ecore.EObject, org.eclipse.hyades.logging.core.ICommonBaseEvent, org.eclipse.hyades.logging.core.IExternalizableToXml, org.eclipse.hyades.logging.core.IInternalizableFromXml, org.eclipse.emf.ecore.InternalEObject, org.eclipse.hyades.logging.core.ISerializableAsXml, org.eclipse.emf.common.notify.Notifier, java.io.Serializable

public class CommonBaseEventImpl
extends SerializableImpl
implements CommonBaseEvent, org.eclipse.hyades.logging.core.ISerializableAsXml, java.lang.Cloneable

An implementation of the model object 'Common Base Event'.

Since:
  1.0
Version:
  1.0.1
Author:
  Denilson Nastacio, Paul E. Slauenwhite
See Also:
  Serialized Form

Field Summary
`protected org.eclipse.emf.common.util.EList` | `any` The cached value of the '`Any`' attribute list.
`protected org.eclipse.emf.common.util.EList` | `associatedEvents` The cached value of the '`Associated Events`' containment reference list.
`protected org.eclipse.emf.common.util.EList` | `contextDataElements` The cached value of the '`Context Data Elements`' containment reference list.
`protected static java.lang.String` | `CREATION_TIME_EDEFAULT` The default value of the '`Creation Time`' attribute.
`protected java.lang.String` | `creationTime` The cached value of the '`Creation Time`' attribute.
`protected boolean` | `creationTimeESet` This is true if the Creation Time attribute has been set.
`protected static long` | `ELAPSED_TIME_EDEFAULT` The default value of the '`Elapsed Time`' attribute.
`protected long` | `elapsedTime` The cached value of the '`Elapsed Time`' attribute.
`protected boolean` | `elapsedTimeESet` This is true if the Elapsed Time attribute has been set.
`protected org.eclipse.emf.common.util.EList` | `extendedDataElements` The cached value of the '`Extended Data Elements`' containment reference list.
`protected static java.lang.String` | `EXTENSION_NAME_EDEFAULT` The default value of the '`Extension Name`' attribute.
`protected java.lang.String` | `extensionName` The cached value of the '`Extension Name`' attribute.
`protected static java.lang.String` | `GLOBAL_INSTANCE_ID_EDEFAULT` The default value of the '`Global Instance Id`' attribute.
`protected java.lang.String` | `globalInstanceId` The cached value of the '`Global Instance Id`' attribute.
`protected static java.lang.String` | `LOCAL_INSTANCE_ID_EDEFAULT` The default value of the '`Local Instance Id`' attribute.
`protected java.lang.String` | `localInstanceId` The cached value of the '`Local Instance Id`' attribute.
`protected java.lang.String` | `msg` The cached value of the '`Msg`' attribute.
`protected static java.lang.String` | `MSG_EDEFAULT` The default value of the '`Msg`' attribute.
`protected MsgDataElement` | `msgDataElement` The cached value of the '`Msg Data Element`' containment reference.
`protected short` | `priority` The cached value of the '`Priority`' attribute.
`protected static short` | `PRIORITY_EDEFAULT` The default value of the '`Priority`' attribute.
`protected boolean` | `priorityESet` This is true if the Priority attribute has been set.
`protected static short` | `REPEAT_COUNT_EDEFAULT` The default value of the '`Repeat Count`' attribute.
`protected short` | `repeatCount` The cached value of the '`Repeat Count`' attribute.
`protected boolean` | `repeatCountESet` This is true if the Repeat Count attribute has been set.
`protected ComponentIdentification` | `reporterComponentId` The cached value of the '`Reporter Component Id`' containment reference.
`protected static long` | `SEQUENCE_NUMBER_EDEFAULT` The default value of the '`Sequence Number`' attribute.
`protected long` | `sequenceNumber` The cached value of the '`Sequence Number`' attribute.
`protected boolean` | `sequenceNumberESet` This is true if the Sequence Number attribute has been set.
`protected short` | `severity` The cached value of the '`Severity`' attribute.
`protected static short` | `SEVERITY_EDEFAULT` The default value of the '`Severity`' attribute.
`protected boolean` | `severityESet` This is true if the Severity attribute has been set.
`protected Situation` | `situation` The cached value of the '`Situation`' containment reference.
`protected ComponentIdentification` | `sourceComponentId` The cached value of the '`Source Component Id`' containment reference.
`protected java.lang.String` | `version` The cached value of the '`Version`' attribute.
`protected static java.lang.String` | `VERSION_EDEFAULT` The default value of the '`Version`' attribute.

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties`

Fields inherited from interface org.eclipse.hyades.logging.events.cbe.CommonBaseEvent
`PRIORITY_HIGH, PRIORITY_LOW, PRIORITY_MEDIUM, SEVERITY_CRITICAL, SEVERITY_FATAL, SEVERITY_HARMLESS, SEVERITY_INFORMATION, SEVERITY_MINOR, SEVERITY_UNKNOWN, SEVERITY_WARNING`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` | `CommonBaseEventImpl()`

Method Summary
`void` | `addAny(java.lang.String any)` Helper method for creating and setting an any element for this object.
`AssociatedEvent` | `addAssociatedEvent(AssociatedEvent associatedEvent)` Adds a new `AssociatedEvent` to this object.
`AssociatedEvent` | `addAssociatedEvent(java.lang.String associationEngineName, java.lang.String associationEngineType, java.lang.String associationEngineId, java.lang.String[] resolvedEvents)` Helper method for creating and setting the associated events for this object.
`ContextDataElement` | `addContextDataElement(ContextDataElement contextDataElement)` Adds a new `ContextDataElement` to this object.
`ContextDataElement` | `addContextDataElementWithId(java.lang.String contextType, java.lang.String contextName, java.lang.String contextId)` Adds a new context data element to this object.
`ContextDataElement` | `addContextDataElementWithValue(java.lang.String contextType, java.lang.String contextName, java.lang.String contextValue)` Adds a new context data element to this object.
`ExtendedDataElement` | `addExtendedDataElement(ExtendedDataElement extendedDataElement)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addExtendedDataElement(java.lang.String name)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addExtendedDataElement(java.lang.String name, int type, java.lang.String value)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addExtendedDataElement(java.lang.String name, int type, java.lang.String[] values)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addExtendedDataElement(java.lang.String name, java.lang.String value)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addExtendedDataElement(java.lang.String name, java.lang.String[] values)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addExtendedDataElementWithBooleanArrayValue(java.lang.String name, boolean[] values)` An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl.
`ExtendedDataElement` | `addExtendedDataElementWithBooleanValue(java.lang.String name, boolean value)` An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl.
`ExtendedDataElement` | `addExtendedDataElementWithByteArrayValue(java.lang.String name, byte[] values)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addExtendedDataElementWithByteValue(java.lang.String name, byte value)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addExtendedDataElementWithDateArrayValue(java.lang.String name, java.lang.String[] values)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addExtendedDataElementWithDateAsLongValue(java.lang.String name, long value)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addExtendedDataElementWithDatesAsLongValue(java.lang.String name, long[] values)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addExtendedDataElementWithDateValue(java.lang.String name, java.lang.String value)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addExtendedDataElementWithDoubleArrayValue(java.lang.String name, double[] values)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addExtendedDataElementWithDoubleValue(java.lang.String name, double value)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addExtendedDataElementWithFloatArrayValue(java.lang.String name, float[] values)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addExtendedDataElementWithFloatValue(java.lang.String name, float value)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addExtendedDataElementWithHexValue(java.lang.String name, byte[] hexValue)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addExtendedDataElementWithHexValue(java.lang.String name, java.lang.String hexValue)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addExtendedDataElementWithIntArrayValue(java.lang.String name, int[] values)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addExtendedDataElementWithIntValue(java.lang.String name, int value)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addExtendedDataElementWithLongArrayValue(java.lang.String name, long[] values)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addExtendedDataElementWithLongValue(java.lang.String name, long value)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addExtendedDataElementWithNoValue(java.lang.String name)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addExtendedDataElementWithShortArrayValue(java.lang.String name, short[] values)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addExtendedDataElementWithShortValue(java.lang.String name, short value)` Adds a new `ExtendedDataElement` to this object.
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetMsgDataElement(MsgDataElement newMsgDataElement, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetReporterComponentId(ComponentIdentification newReporterComponentId, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetSituation(Situation newSituation, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetSourceComponentId(ComponentIdentification newSourceComponentId, org.eclipse.emf.common.notify.NotificationChain msgs)`
`void` | `clearAny()` Removes all any strings that this event is referencing
`void` | `clearAssociatedEvents()` Removes all ExtenedDataElements that this event is referencing
`void` | `clearContextDataElements()` Removes all ExtenedDataElements that this event is referencing
`void` | `clearExtendedDataElements()` Removes all ExtenedDataElements that this event is referencing
`java.lang.Object` | `clone()` return a cloned (copy by value) object.
`void` | `complete()` Invokes the content handler associated, if any, with this event instance.
`java.lang.Object` | `eGet(org.eclipse.emf.ecore.EStructuralFeature eFeature, boolean resolve)`
`org.eclipse.emf.common.notify.NotificationChain` | `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, java.lang.Class baseClass, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` | `eIsSet(org.eclipse.emf.ecore.EStructuralFeature eFeature)`
`boolean` | `equals(java.lang.Object arg0)`
`void` | `eSet(org.eclipse.emf.ecore.EStructuralFeature eFeature, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` | `eStaticClass()`
`void` | `eUnset(org.eclipse.emf.ecore.EStructuralFeature eFeature)`
`java.lang.String` | `externalizeCanonicalXmlDocString()`
`java.lang.String` | `externalizeCanonicalXmlString()`
`org.eclipse.emf.common.util.EList` | `getAny()`
`org.eclipse.emf.common.util.EList` | `getAssociatedEvents()`
`org.eclipse.emf.common.util.EList` | `getContextDataElements()`
`org.eclipse.emf.common.util.EList` | `getContextDataElements(java.lang.String name)` Get a named a context that this event is referencing.
`java.lang.String` | `getCreationTime()`
`long` | `getCreationTimeAsLong()` Returns the value of the 'Creation Time' attribute.
`long` | `getElapsedTime()`
`org.eclipse.emf.common.util.EList` | `getExtendedDataElements()`
`org.eclipse.emf.common.util.EList` | `getExtendedDataElements(java.lang.String name)` Returns a named `ExtendedDataElement` from the list of `ExtendedDataElement` objects.
`java.lang.String` | `getExtensionName()`
`java.lang.String` | `getGlobalInstanceId()`
`java.lang.String` | `getLocalInstanceId()`
`java.lang.String` | `getMsg()`
`MsgDataElement` | `getMsgDataElement()`
`short` | `getPriority()`
`short` | `getRepeatCount()`
`ComponentIdentification` | `getReporterComponentId()`
`long` | `getSequenceNumber()`
`short` | `getSeverity()`
`Situation` | `getSituation()`
`ComponentIdentification` | `getSourceComponentId()`
`java.lang.String` | `getVersion()`
`void` | `init()` Resets the object's properties to their initial (e.g.
`void` | `internalizeCanonicalXmlDocString(java.lang.String value)`
`void` | `internalizeCanonicalXmlString(java.lang.String value)`
`boolean` | `isComplete()` Determines if the `ContentHandler` associated with this event instance, if any, has been previously been invoked.
`boolean` | `isSetCreationTime()`
`boolean` | `isSetElapsedTime()`
`boolean` | `isSetPriority()`
`boolean` | `isSetRepeatCount()`
`boolean` | `isSetSequenceNumber()`
`boolean` | `isSetSeverity()`
`void` | `removeContextDataElements(java.lang.String name)` Remove a named context data element that this event is referencing
`void` | `removeExtendedDataElements(java.lang.String name)` Remove a named extended data element that this event is referencing
`void` | `setContentHandler(ContentHandler contentHandler)` Sets the `ContentHandler` associated with this event instance.
`void` | `setCreationTime(java.lang.String newCreationTime)`
`void` | `setCreationTimeAsLong(long inDateTime)` Sets the value of the 'Creation Time' attribute.
`void` | `setElapsedTime(long newElapsedTime)`
`void` | `setExtensionName(java.lang.String newExtensionName)`
`void` | `setGlobalInstanceId(java.lang.String newGlobalInstanceId)`
`void` | `setLocalInstanceId(java.lang.String newLocalInstanceId)`
`void` | `setMsg(java.lang.String newMsg)`
`void` | `setMsgDataElement(MsgDataElement newMsgDataElement)`
`MsgDataElement` | `setMsgDataElement(java.lang.String msgCatalog, java.lang.String msgCatalogId, MsgCatalogToken[] tokens, java.lang.String msgCatalogType, java.lang.String msgId, java.lang.String msgIdType, java.lang.String msgCatalogLocale)` Adds a new `MsgDataElement` to this object.
`MsgDataElement` | `setMsgDataElement(java.lang.String msgCatalog, java.lang.String msgCatalogId, java.lang.String[] tokens, java.lang.String msgCatalogType, java.lang.String msgId, java.lang.String msgIdType, java.lang.String msgCatalogLocale)` Adds a new `MsgDataElement` to this object.
`void` | `setPriority(short newPriority)`
`void` | `setRepeatCount(short newRepeatCount)`
`void` | `setReporterComponentId(ComponentIdentification newReporterComponentId)`
`void` | `setReporterComponentId(java.lang.String application, java.lang.String component, java.lang.String subComponent, java.lang.String componentType, java.lang.String componentIdType, java.lang.String location, java.lang.String locationType)` Sets the reporter component identifier for this event.
`void` | `setReporterComponentId(java.lang.String application, java.lang.String component, java.lang.String subComponent, java.lang.String componentType, java.lang.String componentIdType, java.lang.String executionEnvironment, java.lang.String instanceId, java.lang.String location, java.lang.String locationType, java.lang.String processId, java.lang.String threadId)` Helper method for creating and setting the reporter component ID for this object.
`void` | `setSequenceNumber(long newSequenceNumber)`
`void` | `setSeverity(short newSeverity)`
`void` | `setSituation(Situation newSituation)`
`void` | `setSourceComponentId(ComponentIdentification newSourceComponentId)`
`void` | `setSourceComponentId(java.lang.String application, java.lang.String component, java.lang.String subComponent, java.lang.String componentType, java.lang.String componentIdType, java.lang.String location, java.lang.String locationType)` Sets the source component identifier for this event.
`void` | `setSourceComponentId(java.lang.String application, java.lang.String component, java.lang.String subComponent, java.lang.String componentType, java.lang.String componentIdType, java.lang.String executionEnvironment, java.lang.String instanceId, java.lang.String location, java.lang.String locationType, java.lang.String processId, java.lang.String threadId)` Sets the source component identifier for this event.
`void` | `setVersion(java.lang.String newVersion)`
`java.lang.String` | `toString()`
`void` | `unsetCreationTime()`
`void` | `unsetElapsedTime()`
`void` | `unsetPriority()`
`void` | `unsetRepeatCount()`
`void` | `unsetSequenceNumber()`
`void` | `unsetSeverity()`
`void` | `validate()` Checks whether the contents of the instance conform to the CBE specification.

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eContainerFeatureID, eDeliver, eInternalContainer, eProperties, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eClass, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicSet, eDynamicUnset, eGet, eHasSettings, eInternalResource, eInverseAdd, eIsProxy, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSetClass, eSetProxyURI, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eStaticFeatureCount, eStore, eURIFragmentSegment`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eIsProxy, eResource`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### CREATION_TIME_EDEFAULT

    protected static final java.lang.String CREATION_TIME_EDEFAULT

  The default value of the '`Creation Time`' attribute.

  See Also:
    `getCreationTime()`

### creationTime

    protected java.lang.String creationTime

  The cached value of the '`Creation Time`' attribute.

  See Also:
    `getCreationTime()`

### creationTimeESet

    protected boolean creationTimeESet

  This is true if the Creation Time attribute has been set.

### GLOBAL_INSTANCE_ID_EDEFAULT

    protected static final java.lang.String GLOBAL_INSTANCE_ID_EDEFAULT

  The default value of the '`Global Instance Id`' attribute.

  See Also:
    `getGlobalInstanceId()`

### globalInstanceId

    protected java.lang.String globalInstanceId

  The cached value of the '`Global Instance Id`' attribute.

  See Also:
    `getGlobalInstanceId()`

### ELAPSED_TIME_EDEFAULT

    protected static final long ELAPSED_TIME_EDEFAULT

  The default value of the '`Elapsed Time`' attribute.

  See Also:
    `getElapsedTime()`, Constant Field Values

### elapsedTime

    protected long elapsedTime

  The cached value of the '`Elapsed Time`' attribute.

  See Also:
    `getElapsedTime()`

### elapsedTimeESet

    protected boolean elapsedTimeESet

  This is true if the Elapsed Time attribute has been set.

### EXTENSION_NAME_EDEFAULT

    protected static final java.lang.String EXTENSION_NAME_EDEFAULT

  The default value of the '`Extension Name`' attribute.

  See Also:
    `getExtensionName()`

### extensionName

    protected java.lang.String extensionName

  The cached value of the '`Extension Name`' attribute.

  See Also:
    `getExtensionName()`

### LOCAL_INSTANCE_ID_EDEFAULT

    protected static final java.lang.String LOCAL_INSTANCE_ID_EDEFAULT

  The default value of the '`Local Instance Id`' attribute.

  See Also:
    `getLocalInstanceId()`

### localInstanceId

    protected java.lang.String localInstanceId

  The cached value of the '`Local Instance Id`' attribute.

  See Also:
    `getLocalInstanceId()`

### MSG_EDEFAULT

    protected static final java.lang.String MSG_EDEFAULT

  The default value of the '`Msg`' attribute.

  See Also:
    `getMsg()`

### msg

    protected java.lang.String msg

  The cached value of the '`Msg`' attribute.

  See Also:
    `getMsg()`

### PRIORITY_EDEFAULT

    protected static final short PRIORITY_EDEFAULT

  The default value of the '`Priority`' attribute.

  See Also:
    `getPriority()`, Constant Field Values

### priority

    protected short priority

  The cached value of the '`Priority`' attribute.

  See Also:
    `getPriority()`

### priorityESet

    protected boolean priorityESet

  This is true if the Priority attribute has been set.

### REPEAT_COUNT_EDEFAULT

    protected static final short REPEAT_COUNT_EDEFAULT

  The default value of the '`Repeat Count`' attribute.

  See Also:
    `getRepeatCount()`, Constant Field Values

### repeatCount

    protected short repeatCount

  The cached value of the '`Repeat Count`' attribute.

  See Also:
    `getRepeatCount()`

### repeatCountESet

    protected boolean repeatCountESet

  This is true if the Repeat Count attribute has been set.

### SEQUENCE_NUMBER_EDEFAULT

    protected static final long SEQUENCE_NUMBER_EDEFAULT

  The default value of the '`Sequence Number`' attribute.

  See Also:
    `getSequenceNumber()`, Constant Field Values

### sequenceNumber

    protected long sequenceNumber

  The cached value of the '`Sequence Number`' attribute.

  See Also:
    `getSequenceNumber()`

### sequenceNumberESet

    protected boolean sequenceNumberESet

  This is true if the Sequence Number attribute has been set.

### SEVERITY_EDEFAULT

    protected static final short SEVERITY_EDEFAULT

  The default value of the '`Severity`' attribute.

  See Also:
    `getSeverity()`, Constant Field Values

### severity

    protected short severity

  The cached value of the '`Severity`' attribute.

  See Also:
    `getSeverity()`

### severityESet

    protected boolean severityESet

  This is true if the Severity attribute has been set.

### VERSION_EDEFAULT

    protected static final java.lang.String VERSION_EDEFAULT

  The default value of the '`Version`' attribute.

  See Also:
    `getVersion()`, Constant Field Values

### version

    protected java.lang.String version

  The cached value of the '`Version`' attribute.

  See Also:
    `getVersion()`

### any

    protected org.eclipse.emf.common.util.EList any

  The cached value of the '`Any`' attribute list.

  See Also:
    `getAny()`

### situation

    protected Situation situation

  The cached value of the '`Situation`' containment reference.

  See Also:
    `getSituation()`

### associatedEvents

    protected org.eclipse.emf.common.util.EList associatedEvents

  The cached value of the '`Associated Events`' containment reference list.

  See Also:
    `getAssociatedEvents()`

### contextDataElements

    protected org.eclipse.emf.common.util.EList contextDataElements

  The cached value of the '`Context Data Elements`' containment reference list.

  See Also:
    `getContextDataElements()`

### extendedDataElements

    protected org.eclipse.emf.common.util.EList extendedDataElements

  The cached value of the '`Extended Data Elements`' containment reference list.

  See Also:
    `getExtendedDataElements()`

### msgDataElement

    protected MsgDataElement msgDataElement

  The cached value of the '`Msg Data Element`' containment reference.

  See Also:
    `getMsgDataElement()`

### reporterComponentId

    protected ComponentIdentification reporterComponentId

  The cached value of the '`Reporter Component Id`' containment reference.

  See Also:
    `getReporterComponentId()`

### sourceComponentId

    protected ComponentIdentification sourceComponentId

  The cached value of the '`Source Component Id`' containment reference.

  See Also:
    `getSourceComponentId()`

Constructor Detail

### CommonBaseEventImpl

    protected CommonBaseEventImpl()

Method Detail

### getAny

    public org.eclipse.emf.common.util.EList getAny()

  Specified by:
    `getAny` in interface `CommonBaseEvent`
  Returns:
    the value of the 'Any' attribute list.
  See Also:
    `EventPackage.getCommonBaseEvent_Any()`

### getAssociatedEvents

    public org.eclipse.emf.common.util.EList getAssociatedEvents()

  Specified by:
    `getAssociatedEvents` in interface `CommonBaseEvent`
  Returns:
    the value of the 'Associated Events' containment reference list.
  See Also:
    `EventPackage.getCommonBaseEvent_AssociatedEvents()`

### setContentHandler

    public void setContentHandler(ContentHandler contentHandler)

  Description copied from interface: `CommonBaseEvent`
  Sets the `ContentHandler` associated with this event instance.

  Invocations of this method cause the flag denoting if `ContentHandler` associated with this event instance has been previously been invoked to be false.

  Specified by:
    `setContentHandler` in interface `CommonBaseEvent`
  Parameters:
    `contentHandler` - The new `ContentHandler` associated with this event instance.
  See Also:
    `CommonBaseEvent.setContentHandler(org.eclipse.hyades.logging.events.cbe.ContentHandler)`

### getContextDataElements

    public org.eclipse.emf.common.util.EList getContextDataElements()

  Specified by:
    `getContextDataElements` in interface `CommonBaseEvent`
  Returns:
    the value of the 'Context Data Elements' containment reference list.
  See Also:
    `EventPackage.getCommonBaseEvent_ContextDataElements()`

### getContextDataElements

    public org.eclipse.emf.common.util.EList getContextDataElements(java.lang.String name)

  Description copied from interface: `CommonBaseEvent`
  Get a named a context that this event is referencing. See the ContextDataElement definition (described on page 28) for details.

  Specified by:
    `getContextDataElements` in interface `CommonBaseEvent`
  Parameters:
    `name` - the name of the element to be found
  Returns:
    EList of ContextDataElements if the named element exists
  See Also:
    `CommonBaseEvent.getContextDataElements(String)`

### setCreationTime

    public void setCreationTime(java.lang.String newCreationTime)

  Specified by:
    `setCreationTime` in interface `CommonBaseEvent`
  Parameters:
    `newCreationTime` - the new value of the 'Creation Time' attribute.
  See Also:
    `CommonBaseEvent.isSetCreationTime()`, `CommonBaseEvent.unsetCreationTime()`, `CommonBaseEvent.getCreationTime()`

### getCreationTime

    public java.lang.String getCreationTime()

  Specified by:
    `getCreationTime` in interface `CommonBaseEvent`
  Returns:
    the value of the 'Creation Time' attribute.
  See Also:
    `CommonBaseEvent.isSetCreationTime()`, `CommonBaseEvent.unsetCreationTime()`, `CommonBaseEvent.setCreationTime(String)`, `EventPackage.getCommonBaseEvent_CreationTime()`

### setCreationTimeAsLong

    public void setCreationTimeAsLong(long inDateTime)

  Description copied from interface: `CommonBaseEvent`

  Sets the value of the 'Creation Time' attribute.

  Specified by:
    `setCreationTimeAsLong` in interface `CommonBaseEvent`
  Parameters:
    `inDateTime` - The date in milliseconds since 1970-01-01T00:00:00Z
  See Also:
    `Converts a long representing UTC in milliseconds to the XML Schema datetime format (CCYY-MM-DDThh:mm:ssZ)`

### getCreationTimeAsLong

    public long getCreationTimeAsLong()

  Description copied from interface: `CommonBaseEvent`

  Returns the value of the 'Creation Time' attribute.

  Specified by:
    `getCreationTimeAsLong` in interface `CommonBaseEvent`
  Returns:
    the difference, measured in milliseconds, between the creation time and midnight, January 1, 1970 UTC.
  See Also:
    `Converts the creationTime from a string in XML Schema datetime format (CCYY-MM-DDThh:mm:ss) to a long representing the milliseconds since 1970-01-01T00:00:00`

### setElapsedTime

    public void setElapsedTime(long newElapsedTime)

  Specified by:
    `setElapsedTime` in interface `CommonBaseEvent`
  Parameters:
    `newElapsedTime` - the new value of the 'Elapsed Time' attribute.
  See Also:
    `CommonBaseEvent.isSetElapsedTime()`, `CommonBaseEvent.unsetElapsedTime()`, `CommonBaseEvent.getElapsedTime()`

### getElapsedTime

    public long getElapsedTime()

  Specified by:
    `getElapsedTime` in interface `CommonBaseEvent`
  Returns:
    the value of the 'Elapsed Time' attribute.
  See Also:
    `CommonBaseEvent.isSetElapsedTime()`, `CommonBaseEvent.unsetElapsedTime()`, `CommonBaseEvent.setElapsedTime(long)`, `EventPackage.getCommonBaseEvent_ElapsedTime()`

### getExtendedDataElements

    public org.eclipse.emf.common.util.EList getExtendedDataElements()

  Specified by:
    `getExtendedDataElements` in interface `CommonBaseEvent`
  Returns:
    the value of the 'Extended Data Elements' containment reference list.
  See Also:
    `EventPackage.getCommonBaseEvent_ExtendedDataElements()`

### getExtendedDataElements

    public org.eclipse.emf.common.util.EList getExtendedDataElements(java.lang.String name)

  Description copied from interface: `CommonBaseEvent`

  Returns a named `ExtendedDataElement` from the list of `ExtendedDataElement` objects.

  Specified by:
    `getExtendedDataElements` in interface `CommonBaseEvent`
  Parameters:
    `name` - the name of the `ExtendedDataElement`
  Returns:
    a list of `ExtendedDataElement` objects.
  See Also:
    `CommonBaseEvent.getExtendedDataElements(String)`

### setExtensionName

    public void setExtensionName(java.lang.String newExtensionName)

  Specified by:
    `setExtensionName` in interface `CommonBaseEvent`
  Parameters:
    `newExtensionName` - the new value of the 'Extension Name' attribute.
  See Also:
    `CommonBaseEvent.getExtensionName()`

### getExtensionName

    public java.lang.String getExtensionName()

  Specified by:
    `getExtensionName` in interface `CommonBaseEvent`
  Returns:
    the value of the 'Extension Name' attribute.
  See Also:
    `CommonBaseEvent.setExtensionName(String)`, `EventPackage.getCommonBaseEvent_ExtensionName()`

### setGlobalInstanceId

    public void setGlobalInstanceId(java.lang.String newGlobalInstanceId)

  Specified by:
    `setGlobalInstanceId` in interface `CommonBaseEvent`
  Parameters:
    `newGlobalInstanceId` - the new value of the 'Global Instance ID' attribute.
  See Also:
    `CommonBaseEvent.getGlobalInstanceId()`

### getGlobalInstanceId

    public java.lang.String getGlobalInstanceId()

  Specified by:
    `getGlobalInstanceId` in interface `CommonBaseEvent`
  Returns:
    the value of the 'Global Instance ID' attribute.
  See Also:
    `CommonBaseEvent.setGlobalInstanceId(String)`, `EventPackage.getCommonBaseEvent_GlobalInstanceId()`

### setLocalInstanceId

    public void setLocalInstanceId(java.lang.String newLocalInstanceId)

  Specified by:
    `setLocalInstanceId` in interface `CommonBaseEvent`
  Parameters:
    `newLocalInstanceId` - the new value of the 'Local Instance ID' attribute.
  See Also:
    `CommonBaseEvent.getLocalInstanceId()`

### getLocalInstanceId

    public java.lang.String getLocalInstanceId()

  Specified by:
    `getLocalInstanceId` in interface `CommonBaseEvent`
  Returns:
    the value of the 'Local Instance ID' attribute.
  See Also:
    `CommonBaseEvent.setLocalInstanceId(String)`, `EventPackage.getCommonBaseEvent_LocalInstanceId()`

### setMsg

    public void setMsg(java.lang.String newMsg)

  Specified by:
    `setMsg` in interface `CommonBaseEvent`
  Parameters:
    `newMsg` - the new value of the 'Msg' attribute.
  See Also:
    `CommonBaseEvent.getMsg()`

### getMsg

    public java.lang.String getMsg()

  Specified by:
    `getMsg` in interface `CommonBaseEvent`
  Returns:
    the value of the 'Msg' attribute.
  See Also:
    `CommonBaseEvent.setMsg(String)`, `EventPackage.getCommonBaseEvent_Msg()`

### setMsgDataElement

    public void setMsgDataElement(MsgDataElement newMsgDataElement)

  Specified by:
    `setMsgDataElement` in interface `CommonBaseEvent`
  Parameters:
    `newMsgDataElement` - the new value of the 'Msg Data Element' containment reference.
  See Also:
    `CommonBaseEvent.getMsgDataElement()`

### setMsgDataElement

    public MsgDataElement setMsgDataElement(java.lang.String msgCatalog,
                                            java.lang.String msgCatalogId,
                                            MsgCatalogToken[] tokens,
                                            java.lang.String msgCatalogType,
                                            java.lang.String msgId,
                                            java.lang.String msgIdType,
                                            java.lang.String msgCatalogLocale)

  Description copied from interface: `CommonBaseEvent`
  Adds a new `MsgDataElement` to this object.

  It creates a `MsgDataElement` object and sets it in the respective field of this object.

  Specified by:
    `setMsgDataElement` in interface `CommonBaseEvent`
  Parameters:
    `msgCatalog` - the message catalog for this `MsgDataElement`
    `msgCatalogId` - the message catalog ID for this `MsgDataElement`
    `tokens` - the message catalog tokens for this `MsgDataElement`
    `msgCatalogType` - the message catalog type for this `MsgDataElement`
    `msgId` - the message ID for this `MsgDataElement`
    `msgIdType` - the message ID type for this `MsgDataElement`
    `msgCatalogLocale` - the locale for this `MsgDataElement`
  Returns:
    a reference to the message data element added to this object.
  See Also:
    `CommonBaseEvent.setMsgDataElement(String, String, MsgCatalogToken[], String, String, String, String)`

### setMsgDataElement

    public MsgDataElement setMsgDataElement(java.lang.String msgCatalog,
                                            java.lang.String msgCatalogId,
                                            java.lang.String[] tokens,
                                            java.lang.String msgCatalogType,
                                            java.lang.String msgId,
                                            java.lang.String msgIdType,
                                            java.lang.String msgCatalogLocale)

  Description copied from interface: `CommonBaseEvent`
  Adds a new `MsgDataElement` to this object.

  It creates a `MsgDataElement` object and sets it in the respective field of this object.

  Specified by:
    `setMsgDataElement` in interface `CommonBaseEvent`
  Parameters:
    `msgCatalog` - the message catalog for this `MsgDataElement`
    `msgCatalogId` - the message catalog ID for this `MsgDataElement`
    `tokens` - the message catalog tokens for this `MsgDataElement`
    `msgCatalogType` - the message catalog type for this `MsgDataElement`
    `msgId` - the message ID for this `MsgDataElement`
    `msgIdType` - the message ID type for this `MsgDataElement`
    `msgCatalogLocale` - the locale for this `MsgDataElement`
  Returns:
    a reference to the message data element added to this object.
  See Also:
    `CommonBaseEvent.setMsgDataElement(String, String, String[], String, String, String, String)`

### getMsgDataElement

    public MsgDataElement getMsgDataElement()

  Specified by:
    `getMsgDataElement` in interface `CommonBaseEvent`
  Returns:
    the value of the 'Msg Data Element' containment reference.
  See Also:
    `CommonBaseEvent.setMsgDataElement(MsgDataElement)`, `EventPackage.getCommonBaseEvent_MsgDataElement()`

### setPriority

    public void setPriority(short newPriority)

  Specified by:
    `setPriority` in interface `CommonBaseEvent`
  Parameters:
    `newPriority` - the new value of the 'Priority' attribute.
  See Also:
    `CommonBaseEvent.isSetPriority()`, `CommonBaseEvent.unsetPriority()`, `CommonBaseEvent.getPriority()`

### getPriority

    public short getPriority()

  Specified by:
    `getPriority` in interface `CommonBaseEvent`
  Returns:
    the value of the 'Priority' attribute.
  See Also:
    `CommonBaseEvent.isSetPriority()`, `CommonBaseEvent.unsetPriority()`, `CommonBaseEvent.setPriority(short)`, `EventPackage.getCommonBaseEvent_Priority()`

### setRepeatCount

    public void setRepeatCount(short newRepeatCount)

  Specified by:
    `setRepeatCount` in interface `CommonBaseEvent`
  Parameters:
    `newRepeatCount` - the new value of the 'Repeat Count' attribute.
  See Also:
    `CommonBaseEvent.isSetRepeatCount()`, `CommonBaseEvent.unsetRepeatCount()`, `CommonBaseEvent.getRepeatCount()`

### getRepeatCount

    public short getRepeatCount()

  Specified by:
    `getRepeatCount` in interface `CommonBaseEvent`
  Returns:
    the value of the 'Repeat Count' attribute.
  See Also:
    `CommonBaseEvent.isSetRepeatCount()`, `CommonBaseEvent.unsetRepeatCount()`, `CommonBaseEvent.setRepeatCount(short)`, `EventPackage.getCommonBaseEvent_RepeatCount()`

### setReporterComponentId

    public void setReporterComponentId(ComponentIdentification newReporterComponentId)

  Specified by:
    `setReporterComponentId` in interface `CommonBaseEvent`
  Parameters:
    `newReporterComponentId` - the new value of the 'Reporter Component ID' containment reference.
  See Also:
    `CommonBaseEvent.getReporterComponentId()`

### setReporterComponentId

    public void setReporterComponentId(java.lang.String application,
                                       java.lang.String component,
                                       java.lang.String subComponent,
                                       java.lang.String componentType,
                                       java.lang.String componentIdType,
                                       java.lang.String executionEnvironment,
                                       java.lang.String instanceId,
                                       java.lang.String location,
                                       java.lang.String locationType,
                                       java.lang.String processId,
                                       java.lang.String threadId)

  Description copied from interface: `CommonBaseEvent`

  Helper method for creating and setting the reporter component ID for this object.

  It creates a `ComponentIdentification` object and sets it in the respective field of this object.

  Specified by:
    `setReporterComponentId` in interface `CommonBaseEvent`
  Parameters:
    `application` - the name of the application for the reporting component
    `component` - the name of the component for the reporting component
    `componentType` - the component type for the reporting component
    `componentIdType` - the component ID type for the reporting component
    `executionEnvironment` - the name of the execution environment for the reporting component
    `instanceId` - the instance ID for the reporting component
    `location` - the location for the reporting component
    `locationType` - the location type for the reporting component
    `processId` - the process ID for the reporting component
    `subComponent` - the name of the subcomponent for the reporting component
    `threadId` - the thread ID for the reporting component
  See Also:
    `CommonBaseEvent.setReporterComponentId(String, String, String, String, String, String, String, String, String, String,String)`

### setReporterComponentId

    public void setReporterComponentId(java.lang.String application,
                                       java.lang.String component,
                                       java.lang.String subComponent,
                                       java.lang.String componentType,
                                       java.lang.String componentIdType,
                                       java.lang.String location,
                                       java.lang.String locationType)

  Description copied from interface: `CommonBaseEvent`
  Sets the reporter component identifier for this event.

  It creates a `ComponentIdentification` object and sets it in the respective field of this object.

  Specified by:
    `setReporterComponentId` in interface `CommonBaseEvent`
  Parameters:
    `application` - the name of the application for the source component
    `component` - the name of the component for the source component
    `subComponent` - the name of the subcomponent for the source component
    `componentType` - the component type for the source component
    `componentIdType` - the component ID type for the source component
    `location` - the location for the source component
    `locationType` - the location type for the source component
  See Also:
    `CommonBaseEvent.setReporterComponentId(String, String, String, String, String, String, String)`

### getReporterComponentId

    public ComponentIdentification getReporterComponentId()

  Specified by:
    `getReporterComponentId` in interface `CommonBaseEvent`
  Returns:
    the value of the 'Reporter Component ID' containment reference.
  See Also:
    `CommonBaseEvent.setReporterComponentId(ComponentIdentification)`, `EventPackage.getCommonBaseEvent_ReporterComponentId()`

### setSequenceNumber

    public void setSequenceNumber(long newSequenceNumber)

  Specified by:
    `setSequenceNumber` in interface `CommonBaseEvent`
  Parameters:
    `newSequenceNumber` - the new value of the 'Sequence Number' attribute.
  See Also:
    `CommonBaseEvent.isSetSequenceNumber()`, `CommonBaseEvent.unsetSequenceNumber()`, `CommonBaseEvent.getSequenceNumber()`

### getSequenceNumber

    public long getSequenceNumber()

  Specified by:
    `getSequenceNumber` in interface `CommonBaseEvent`
  Returns:
    the value of the 'Sequence Number' attribute.
  See Also:
    `CommonBaseEvent.isSetSequenceNumber()`, `CommonBaseEvent.unsetSequenceNumber()`, `CommonBaseEvent.setSequenceNumber(long)`, `EventPackage.getCommonBaseEvent_SequenceNumber()`

### isSetCreationTime

    public boolean isSetCreationTime()

  Specified by:
    `isSetCreationTime` in interface `CommonBaseEvent`
  Returns:
    whether the value of the 'Creation Time' attribute is set.
  See Also:
    `CommonBaseEvent.unsetCreationTime()`, `CommonBaseEvent.getCreationTime()`, `CommonBaseEvent.setCreationTime(String)`

### isSetElapsedTime

    public boolean isSetElapsedTime()

  Specified by:
    `isSetElapsedTime` in interface `CommonBaseEvent`
  Returns:
    whether the value of the 'Elapsed Time' attribute is set.
  See Also:
    `CommonBaseEvent.unsetElapsedTime()`, `CommonBaseEvent.getElapsedTime()`, `CommonBaseEvent.setElapsedTime(long)`

### isSetPriority

    public boolean isSetPriority()

  Specified by:
    `isSetPriority` in interface `CommonBaseEvent`
  Returns:
    whether the value of the 'Priority' attribute is set.
  See Also:
    `CommonBaseEvent.unsetPriority()`, `CommonBaseEvent.getPriority()`, `CommonBaseEvent.setPriority(short)`

### isSetRepeatCount

    public boolean isSetRepeatCount()

  Specified by:
    `isSetRepeatCount` in interface `CommonBaseEvent`
  Returns:
    whether the value of the 'Repeat Count' attribute is set.
  See Also:
    `CommonBaseEvent.unsetRepeatCount()`, `CommonBaseEvent.getRepeatCount()`, `CommonBaseEvent.setRepeatCount(short)`

### isSetSequenceNumber

    public boolean isSetSequenceNumber()

  Specified by:
    `isSetSequenceNumber` in interface `CommonBaseEvent`
  Returns:
    whether the value of the 'Sequence Number' attribute is set.
  See Also:
    `CommonBaseEvent.unsetSequenceNumber()`, `CommonBaseEvent.getSequenceNumber()`, `CommonBaseEvent.setSequenceNumber(long)`

### isSetSeverity

    public boolean isSetSeverity()

  Specified by:
    `isSetSeverity` in interface `CommonBaseEvent`
  Returns:
    whether the value of the 'Severity' attribute is set.
  See Also:
    `CommonBaseEvent.unsetSeverity()`, `CommonBaseEvent.getSeverity()`, `CommonBaseEvent.setSeverity(short)`

### setSeverity

    public void setSeverity(short newSeverity)

  Specified by:
    `setSeverity` in interface `CommonBaseEvent`
  Parameters:
    `newSeverity` - the new value of the 'Severity' attribute.
  See Also:
    `CommonBaseEvent.isSetSeverity()`, `CommonBaseEvent.unsetSeverity()`, `CommonBaseEvent.getSeverity()`

### getSeverity

    public short getSeverity()

  Specified by:
    `getSeverity` in interface `CommonBaseEvent`
  Returns:
    the value of the 'Severity' attribute.
  See Also:
    `CommonBaseEvent.isSetSeverity()`, `CommonBaseEvent.unsetSeverity()`, `CommonBaseEvent.setSeverity(short)`, `EventPackage.getCommonBaseEvent_Severity()`

### setSituation

    public void setSituation(Situation newSituation)

  Specified by:
    `setSituation` in interface `CommonBaseEvent`
  Parameters:
    `newSituation` - the new value of the 'Situation' containment reference.
  See Also:
    `CommonBaseEvent.getSituation()`

### getSituation

    public Situation getSituation()

  Specified by:
    `getSituation` in interface `CommonBaseEvent`
  Returns:
    the value of the 'Situation' containment reference.
  See Also:
    `CommonBaseEvent.setSituation(Situation)`, `EventPackage.getCommonBaseEvent_Situation()`

### setSourceComponentId

    public void setSourceComponentId(ComponentIdentification newSourceComponentId)

  Specified by:
    `setSourceComponentId` in interface `CommonBaseEvent`
  Parameters:
    `newSourceComponentId` - the new value of the 'Source Component ID' containment reference.
  See Also:
    `CommonBaseEvent.getSourceComponentId()`

### setSourceComponentId

    public void setSourceComponentId(java.lang.String application,
                                     java.lang.String component,
                                     java.lang.String subComponent,
                                     java.lang.String componentType,
                                     java.lang.String componentIdType,
                                     java.lang.String executionEnvironment,
                                     java.lang.String instanceId,
                                     java.lang.String location,
                                     java.lang.String locationType,
                                     java.lang.String processId,
                                     java.lang.String threadId)

  Description copied from interface: `CommonBaseEvent`
  Sets the source component identifier for this event.

  It creates a `ComponentIdentification` object and sets it in the respective field of this object.

  Specified by:
    `setSourceComponentId` in interface `CommonBaseEvent`
  Parameters:
    `application` - the name of the application for the source component
    `component` - the name of the component for the source component
    `componentType` - the component type for the source component
    `componentIdType` - the component ID type for the source component
    `executionEnvironment` - the name of the execution environment for the source component
    `instanceId` - the instance ID for the source component
    `location` - the location for the source component
    `locationType` - the location type for the source component
    `processId` - the process ID for the source component
    `subComponent` - the name of the subcomponent for the source component
    `threadId` - the thread ID for the source component
  See Also:
    `CommonBaseEvent.setSourceComponentId(String, String, String, String, String, String, String, String, String, String,String)`

### setSourceComponentId

    public void setSourceComponentId(java.lang.String application,
                                     java.lang.String component,
                                     java.lang.String subComponent,
                                     java.lang.String componentType,
                                     java.lang.String componentIdType,
                                     java.lang.String location,
                                     java.lang.String locationType)

  Description copied from interface: `CommonBaseEvent`
  Sets the source component identifier for this event.

  It creates a `ComponentIdentification` object and sets it in the respective field of this object.

  Specified by:
    `setSourceComponentId` in interface `CommonBaseEvent`
  Parameters:
    `application` - the name of the application for the source component
    `component` - the name of the component for the source component
    `subComponent` - the name of the subcomponent for the source component
    `componentType` - the component type for the source component
    `componentIdType` - the component ID type for the source component
    `location` - the location for the source component
    `locationType` - the location type for the source component
  See Also:
    `CommonBaseEvent.setSourceComponentId(String, String, String, String, String, String,String)`

### getSourceComponentId

    public ComponentIdentification getSourceComponentId()

  Specified by:
    `getSourceComponentId` in interface `CommonBaseEvent`
  Returns:
    the value of the 'Source Component ID' containment reference.
  See Also:
    `CommonBaseEvent.setSourceComponentId(ComponentIdentification)`, `EventPackage.getCommonBaseEvent_SourceComponentId()`

### setVersion

    public void setVersion(java.lang.String newVersion)

  Specified by:
    `setVersion` in interface `CommonBaseEvent`
  Parameters:
    `newVersion` - the new value of the 'Version' attribute.
  See Also:
    `CommonBaseEvent.getVersion()`

### getVersion

    public java.lang.String getVersion()

  Specified by:
    `getVersion` in interface `CommonBaseEvent`
  Returns:
    the value of the 'Version' attribute.
  See Also:
    `CommonBaseEvent.setVersion(String)`, `EventPackage.getCommonBaseEvent_Version()`

### addAny

    public void addAny(java.lang.String any)

  Description copied from interface: `CommonBaseEvent`
  Helper method for creating and setting an any element for this object.

  It creates an object and sets it in the respective field of this object.

  Specified by:
    `addAny` in interface `CommonBaseEvent`
  Parameters:
    `any` - A string representing an XML element.
  See Also:
    `CommonBaseEvent.addAny(String)`

### clearAny

    public void clearAny()

  Removes all any strings that this event is referencing

  Specified by:
    `clearAny` in interface `CommonBaseEvent`

### addAssociatedEvent

    public AssociatedEvent addAssociatedEvent(java.lang.String associationEngineName,
                                              java.lang.String associationEngineType,
                                              java.lang.String associationEngineId,
                                              java.lang.String[] resolvedEvents)

  Description copied from interface: `CommonBaseEvent`
  Helper method for creating and setting the associated events for this object.

  It creates an `AssociatedEvent` object and sets it in the respective field of this object.

  Specified by:
    `addAssociatedEvent` in interface `CommonBaseEvent`
  Parameters:
    `associationEngineName` - name for the association engine
    `associationEngineType` - type for the association engine
    `associationEngineId` - identifier for the association engine.
    `resolvedEvents` - an array of globalInstanceIds that are associated to this event
  Returns:
    a reference to the associated events element added to this object.
  See Also:
    `CommonBaseEvent.addAssociatedEvent(String, String, String, String[])`

### addContextDataElementWithValue

    public ContextDataElement addContextDataElementWithValue(java.lang.String contextType,
                                                             java.lang.String contextName,
                                                             java.lang.String contextValue)

  Description copied from interface: `CommonBaseEvent`
  Adds a new context data element to this object.

  It creates a `ContextDataElement` object and sets it in the respective field of this object.

  Specified by:
    `addContextDataElementWithValue` in interface `CommonBaseEvent`
  Parameters:
    `contextType` - type of the context
    `contextName` - name of the context
    `contextValue` - contextValue of the context
  Returns:
    a reference to the context data element added to this object.
  See Also:
    `CommonBaseEvent.addContextDataElementWithValue(String, String, String)`

### addContextDataElementWithId

    public ContextDataElement addContextDataElementWithId(java.lang.String contextType,
                                                          java.lang.String contextName,
                                                          java.lang.String contextId)

  Description copied from interface: `CommonBaseEvent`
  Adds a new context data element to this object.

  It creates a `ContextDataElement` object and sets it in the respective field of this object.

  Specified by:
    `addContextDataElementWithId` in interface `CommonBaseEvent`
  Parameters:
    `contextType` - type of the context
    `contextName` - name of the context
    `contextId` - contextId of the context
  Returns:
    a reference to the context data element added to this object.
  See Also:
    `CommonBaseEvent.addContextDataElementWithId(String, String,String)`

### addExtendedDataElement

    public ExtendedDataElement addExtendedDataElement(java.lang.String name,
                                                      int type,
                                                      java.lang.String value)

  Description copied from interface: `CommonBaseEvent`
  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object containing the value passed as parameter and adds it to the list of extended data elements for this object.

  Specified by:
    `addExtendedDataElement` in interface `CommonBaseEvent`
  Parameters:
    `name` - the name for the new extended data element.
    `type` - represents the data type for the new extended data element. Refer to the `ExtendedDataElement.TYPE_<type>_VALUE` constants for valid types.
    `value` - the value for the new extended data element.
  Returns:
    a reference to the extended data element added to this object.
  See Also:
    `CommonBaseEvent.addExtendedDataElement(String, int, String)`

### addExtendedDataElement

    public ExtendedDataElement addExtendedDataElement(java.lang.String name,
                                                      int type,
                                                      java.lang.String[] values)

  Description copied from interface: `CommonBaseEvent`
  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object with the values passed as parameters and adds it to the list of extended data elements for this object.

  Specified by:
    `addExtendedDataElement` in interface `CommonBaseEvent`
  Parameters:
    `name` - the name for the new extended data element.
    `type` - represents the data type for the new extended data element. Refer to the `ExtendedDataElement.TYPE_<type>_VALUE` constants for valid types.
    `values` - the array of values for the new extended data element.
  Returns:
    a reference to the extended data element added to this object.
  See Also:
    `CommonBaseEvent.addExtendedDataElement(String, int, String[])`

### addExtendedDataElement

    public ExtendedDataElement addExtendedDataElement(java.lang.String name,
                                                      java.lang.String value)

  Description copied from interface: `CommonBaseEvent`
  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object containing the value passed as parameter and adds it to the list of extended data elements for this object.

  Specified by:
    `addExtendedDataElement` in interface `CommonBaseEvent`
  Parameters:
    `name` - the name for the new extended data element.
    `value` - the value for the new extended data element.
  Returns:
    a reference to the extended data element added to this object.
  See Also:
    `CommonBaseEvent.addExtendedDataElement(String, String)`

### addExtendedDataElement

    public ExtendedDataElement addExtendedDataElement(java.lang.String name,
                                                      java.lang.String[] values)

  Description copied from interface: `CommonBaseEvent`
  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object with the values passed as parameters and adds it to the list of extended data elements for this object.

  Specified by:
    `addExtendedDataElement` in interface `CommonBaseEvent`
  Parameters:
    `name` - the name for the new extended data element.
    `values` - the array of `String` values for the new extended data element.
  Returns:
    a reference to the extended data element added to this object.
  See Also:
    `CommonBaseEvent.addExtendedDataElement(String, String[])`

### addExtendedDataElement

    public ExtendedDataElement addExtendedDataElement(ExtendedDataElement extendedDataElement)

  Adds a new `ExtendedDataElement` to this object.

  Specified by:
    `addExtendedDataElement` in interface `CommonBaseEvent`
  Parameters:
    `extendedDataElement` - the new extended data element.
  Returns:
    a reference to the extended data element added to this object.
  See Also:
    `getExtendedDataElements()`

### addExtendedDataElement

    public ExtendedDataElement addExtendedDataElement(java.lang.String name)

  Description copied from interface: `CommonBaseEvent`
  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object without any values adds it to the list of extended data elements for this object.

  Specified by:
    `addExtendedDataElement` in interface `CommonBaseEvent`
  Parameters:
    `name` - the name for the new extended data element.
  Returns:
    a reference to the extended data element added to this object.
  See Also:
    `CommonBaseEvent.addExtendedDataElement(String)`

### addExtendedDataElementWithByteArrayValue

    public ExtendedDataElement addExtendedDataElementWithByteArrayValue(java.lang.String name,
                                                                        byte[] values)

  Description copied from interface: `CommonBaseEvent`
  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object with the values passed as parameters and adds it to the list of extended data elements for this object.

  Specified by:
    `addExtendedDataElementWithByteArrayValue` in interface `CommonBaseEvent`
  Parameters:
    `name` - the name for the new extended data element.
    `values` - the array of `byte` values for the new extended data element.
  Returns:
    a reference to the extended data element added to this object.
  See Also:
    `CommonBaseEvent.addExtendedDataElementWithByteArrayValue(String, byte[])`

### addExtendedDataElementWithByteValue

    public ExtendedDataElement addExtendedDataElementWithByteValue(java.lang.String name,
                                                                   byte value)

  Description copied from interface: `CommonBaseEvent`
  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object containing the value passed as parameter and adds it to the list of extended data elements for this object.

  Specified by:
    `addExtendedDataElementWithByteValue` in interface `CommonBaseEvent`
  Parameters:
    `name` - the name for the new extended data element.
    `value` - the value for the new extended data element.
  Returns:
    a reference to the extended data element added to this object.
  See Also:
    `CommonBaseEvent.addExtendedDataElementWithByteValue(String, byte)`

### addExtendedDataElementWithNoValue

    public ExtendedDataElement addExtendedDataElementWithNoValue(java.lang.String name)

  Description copied from interface: `CommonBaseEvent`
  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object containing no value and adds it to the list of extended data elements for this object.

  Specified by:
    `addExtendedDataElementWithNoValue` in interface `CommonBaseEvent`
  Parameters:
    `name` - the name for the new extended data element.
  Returns:
    a reference to the extended data element added to this object.
  See Also:
    `CommonBaseEvent.addExtendedDataElementWithNoValue(String)`

### addExtendedDataElementWithBooleanArrayValue

    public ExtendedDataElement addExtendedDataElementWithBooleanArrayValue(java.lang.String name,
                                                                           boolean[] values)

  Description copied from interface: `CommonBaseEvent`
  An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl. Information placed here is assumed to be product specific data. This is an OPTIONAL property.

  Specified by:
    `addExtendedDataElementWithBooleanArrayValue` in interface `CommonBaseEvent`
  See Also:
    `CommonBaseEvent.addExtendedDataElementWithBooleanArrayValue(java.lang.String, boolean[])`

### addExtendedDataElementWithBooleanValue

    public ExtendedDataElement addExtendedDataElementWithBooleanValue(java.lang.String name,
                                                                      boolean value)

  Description copied from interface: `CommonBaseEvent`
  An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl. Information placed here is assumed to be product specific data. This is an OPTIONAL property.

  Specified by:
    `addExtendedDataElementWithBooleanValue` in interface `CommonBaseEvent`
  See Also:
    `CommonBaseEvent.addExtendedDataElementWithBooleanValue(java.lang.String, boolean)`

### addExtendedDataElementWithDateArrayValue

    public ExtendedDataElement addExtendedDataElementWithDateArrayValue(java.lang.String name,
                                                                        java.lang.String[] values)

  Description copied from interface: `CommonBaseEvent`
  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object with the values passed as parameters and adds it to the list of extended data elements for this object.

  The values correspond to a date time string according to the XML schema dateTime definition.

  Specified by:
    `addExtendedDataElementWithDateArrayValue` in interface `CommonBaseEvent`
  Parameters:
    `name` - the name for the new extended data element.
    `values` - the array of `String` instances representing the date time values for the new extended data element.
  Returns:
    a reference to the extended data element added to this object.
  See Also:
    `CommonBaseEvent.addExtendedDataElementWithDateArrayValue(String, String[])`

### addExtendedDataElementWithDateAsLongValue

    public ExtendedDataElement addExtendedDataElementWithDateAsLongValue(java.lang.String name,
                                                                         long value)

  Description copied from interface: `CommonBaseEvent`
  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object containing the value passed as parameter and adds it to the list of extended data elements for this object.

  Specified by:
    `addExtendedDataElementWithDateAsLongValue` in interface `CommonBaseEvent`
  Parameters:
    `name` - the name for the new extended data element.
    `value` - number of milliseconds since January 1, 1970 UTC; representing the date time value for the new extended data element.
  Returns:
    a reference to the extended data element added to this object.
  See Also:
    `CommonBaseEvent.addExtendedDataElementWithDateAsLongValue(String, long)`

### addExtendedDataElementWithDateValue

    public ExtendedDataElement addExtendedDataElementWithDateValue(java.lang.String name,
                                                                   java.lang.String value)

  Description copied from interface: `CommonBaseEvent`
  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object containing the value passed as parameter and adds it to the list of extended data elements for this object.

  The value corresponds to a date time string according to the XML schema dateTime definition.

  Specified by:
    `addExtendedDataElementWithDateValue` in interface `CommonBaseEvent`
  Parameters:
    `name` - the name for the new extended data element.
    `value` - representation of the date time value for the new extended data element.
  Returns:
    a reference to the extended data element added to this object.
  See Also:
    `CommonBaseEvent.addExtendedDataElementWithDateValue(String, String)`

### addExtendedDataElementWithDatesAsLongValue

    public ExtendedDataElement addExtendedDataElementWithDatesAsLongValue(java.lang.String name,
                                                                          long[] values)

  Description copied from interface: `CommonBaseEvent`
  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object with the values passed as parameters and adds it to the list of extended data elements for this object.

  Specified by:
    `addExtendedDataElementWithDatesAsLongValue` in interface `CommonBaseEvent`
  Parameters:
    `name` - the name for the new extended data element.
    `values` - the array of `long` values for the new extended data element. Each value corresponds to the number of milliseconds since January 1, 1970 UTC.
  Returns:
    a reference to the extended data element added to this object.
  See Also:
    `CommonBaseEvent.addExtendedDataElementWithDatesAsLongValue(String, long[])`

### addExtendedDataElementWithDoubleArrayValue

    public ExtendedDataElement addExtendedDataElementWithDoubleArrayValue(java.lang.String name,
                                                                          double[] values)

  Description copied from interface: `CommonBaseEvent`
  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object with the values passed as parameters and adds it to the list of extended data elements for this object.

  Specified by:
    `addExtendedDataElementWithDoubleArrayValue` in interface `CommonBaseEvent`
  Parameters:
    `name` - the name for the new extended data element.
    `values` - the array of `double` values for the new extended data element.
  Returns:
    a reference to the extended data element added to this object.
  See Also:
    `CommonBaseEvent.addExtendedDataElementWithDoubleArrayValue(String, double[])`

### addExtendedDataElementWithDoubleValue

    public ExtendedDataElement addExtendedDataElementWithDoubleValue(java.lang.String name,
                                                                     double value)

  Description copied from interface: `CommonBaseEvent`
  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object containing the value passed as parameter and adds it to the list of extended data elements for this object.

  Specified by:
    `addExtendedDataElementWithDoubleValue` in interface `CommonBaseEvent`
  Parameters:
    `name` - the name for the new extended data element.
    `value` - the `double` value that the new `ExtendedDataElement` will contain.
  Returns:
    a reference to the extended data element added to this object.
  See Also:
    `CommonBaseEvent.addExtendedDataElementWithDoubleValue(String, double)`

### addExtendedDataElementWithFloatArrayValue

    public ExtendedDataElement addExtendedDataElementWithFloatArrayValue(java.lang.String name,
                                                                         float[] values)

  Description copied from interface: `CommonBaseEvent`
  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object with the values passed as parameters and adds it to the list of extended data elements for this object.

  Specified by:
    `addExtendedDataElementWithFloatArrayValue` in interface `CommonBaseEvent`
  Parameters:
    `name` - the name for the new extended data element.
    `values` - the array of `float/code> values for the new extended data element.`
  Returns:
    a reference to the extended data element added to this object.
  See Also:
    `CommonBaseEvent.addExtendedDataElementWithFloatArrayValue(String, float[])`

### addExtendedDataElementWithFloatValue

    public ExtendedDataElement addExtendedDataElementWithFloatValue(java.lang.String name,
                                                                    float value)

  Description copied from interface: `CommonBaseEvent`
  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object containing the value passed as parameter and adds it to the list of extended data elements for this object.

  Specified by:
    `addExtendedDataElementWithFloatValue` in interface `CommonBaseEvent`
  Parameters:
    `name` - the name for the new extended data element.
    `value` - the value for the new extended data element.
  Returns:
    a reference to the extended data element added to this object.
  See Also:
    `CommonBaseEvent.addExtendedDataElementWithFloatValue(String, float)`

### addExtendedDataElementWithIntArrayValue

    public ExtendedDataElement addExtendedDataElementWithIntArrayValue(java.lang.String name,
                                                                       int[] values)

  Description copied from interface: `CommonBaseEvent`
  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object with the values passed as parameters and adds it to the list of extended data elements for this object.

  Specified by:
    `addExtendedDataElementWithIntArrayValue` in interface `CommonBaseEvent`
  Parameters:
    `name` - the name for the new extended data element.
    `values` - the array of `int` values for the new extended data element.
  Returns:
    a reference to the extended data element added to this object.
  See Also:
    `CommonBaseEvent.addExtendedDataElementWithIntArrayValue(String, int[])`

### addExtendedDataElementWithIntValue

    public ExtendedDataElement addExtendedDataElementWithIntValue(java.lang.String name,
                                                                  int value)

  Description copied from interface: `CommonBaseEvent`
  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object containing the value passed as parameter and adds it to the list of extended data elements for this object.

  Specified by:
    `addExtendedDataElementWithIntValue` in interface `CommonBaseEvent`
  Parameters:
    `name` - the name for the new extended data element.
    `value` - the value for the new extended data element.
  Returns:
    a reference to the extended data element added to this object.
  See Also:
    `CommonBaseEvent.addExtendedDataElementWithIntValue(String, int)`

### addExtendedDataElementWithLongArrayValue

    public ExtendedDataElement addExtendedDataElementWithLongArrayValue(java.lang.String name,
                                                                        long[] values)

  Description copied from interface: `CommonBaseEvent`
  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object with the values passed as parameters and adds it to the list of extended data elements for this object.

  Specified by:
    `addExtendedDataElementWithLongArrayValue` in interface `CommonBaseEvent`
  Parameters:
    `name` - the name for the new extended data element.
    `values` - the array of `long` values for the new extended data element.
  Returns:
    a reference to the extended data element added to this object.
  See Also:
    `CommonBaseEvent.addExtendedDataElementWithLongArrayValue(String, long[])`

### addExtendedDataElementWithLongValue

    public ExtendedDataElement addExtendedDataElementWithLongValue(java.lang.String name,
                                                                   long value)

  Description copied from interface: `CommonBaseEvent`
  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object containing the value passed as parameter and adds it to the list of extended data elements for this object.

  Specified by:
    `addExtendedDataElementWithLongValue` in interface `CommonBaseEvent`
  Parameters:
    `name` - the name for the new extended data element.
    `value` - the value for the new extended data element.
  Returns:
    a reference to the extended data element added to this object.
  See Also:
    `CommonBaseEvent.addExtendedDataElementWithLongValue(String, long)`

### addExtendedDataElementWithShortArrayValue

    public ExtendedDataElement addExtendedDataElementWithShortArrayValue(java.lang.String name,
                                                                         short[] values)

  Description copied from interface: `CommonBaseEvent`
  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object with the values passed as parameters and adds it to the list of extended data elements for this object.

  Specified by:
    `addExtendedDataElementWithShortArrayValue` in interface `CommonBaseEvent`
  Parameters:
    `name` - the name for the new extended data element.
    `values` - the array of `short` values for the new extended data element.
  Returns:
    a reference to the extended data element added to this object.
  See Also:
    `CommonBaseEvent.addExtendedDataElementWithShortArrayValue(String, short[])`

### addExtendedDataElementWithShortValue

    public ExtendedDataElement addExtendedDataElementWithShortValue(java.lang.String name,
                                                                    short value)

  Description copied from interface: `CommonBaseEvent`
  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object containing the value passed as parameter and adds it to the list of extended data elements for this object.

  Specified by:
    `addExtendedDataElementWithShortValue` in interface `CommonBaseEvent`
  Parameters:
    `name` - the name for the new extended data element.
    `value` - the value for the new extended data element.
  Returns:
    a reference to the extended data element added to this object.
  See Also:
    `CommonBaseEvent.addExtendedDataElementWithShortValue(String, short)`

### addExtendedDataElementWithHexValue

    public ExtendedDataElement addExtendedDataElementWithHexValue(java.lang.String name,
                                                                  byte[] hexValue)

  Description copied from interface: `CommonBaseEvent`
  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object with the hexValue passed as parameter and adds it to the list of extended data elements for this object.

  Specified by:
    `addExtendedDataElementWithHexValue` in interface `CommonBaseEvent`
  Parameters:
    `name` - the name for the new extended data element.
    `hexValue` - the array of bytes for the `hexValue` field of the new extended data element.
  Returns:
    a reference to the extended data element added to this object.
  See Also:
    `CommonBaseEvent.getExtendedDataElements()`

### addExtendedDataElementWithHexValue

    public ExtendedDataElement addExtendedDataElementWithHexValue(java.lang.String name,
                                                                  java.lang.String hexValue)

  Description copied from interface: `CommonBaseEvent`
  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object with the hexValue passed as parameter and adds it to the list of extended data elements for this object.

  Specified by:
    `addExtendedDataElementWithHexValue` in interface `CommonBaseEvent`
  Parameters:
    `name` - the name for the new extended data element.
    `hexValue` - the hexadecimal string for the `hexValue` field of the new extended data element.
  Returns:
    a reference to the extended data element added to this object.
  See Also:
    `CommonBaseEvent.getExtendedDataElements()`

### clearExtendedDataElements

    public void clearExtendedDataElements()

  Removes all ExtenedDataElements that this event is referencing

  Specified by:
    `clearExtendedDataElements` in interface `CommonBaseEvent`

### removeExtendedDataElements

    public void removeExtendedDataElements(java.lang.String name)

  Remove a named extended data element that this event is referencing

  Specified by:
    `removeExtendedDataElements` in interface `CommonBaseEvent`
  Parameters:
    `name` - the name of the element to be removed

### addContextDataElement

    public ContextDataElement addContextDataElement(ContextDataElement contextDataElement)

  Adds a new `ContextDataElement` to this object.

  Specified by:
    `addContextDataElement` in interface `CommonBaseEvent`
  Parameters:
    `contextDataElement` - the new context data element.
  Returns:
    a reference to the context data element added to this object.
  See Also:
    `getContextDataElements()`

### clearContextDataElements

    public void clearContextDataElements()

  Removes all ExtenedDataElements that this event is referencing

  Specified by:
    `clearContextDataElements` in interface `CommonBaseEvent`

### removeContextDataElements

    public void removeContextDataElements(java.lang.String name)

  Remove a named context data element that this event is referencing

  Specified by:
    `removeContextDataElements` in interface `CommonBaseEvent`
  Parameters:
    `name` - the name of the element to be removed

### addAssociatedEvent

    public AssociatedEvent addAssociatedEvent(AssociatedEvent associatedEvent)

  Adds a new `AssociatedEvent` to this object.

  Specified by:
    `addAssociatedEvent` in interface `CommonBaseEvent`
  Returns:
    a reference to the context data element added to this object.
  See Also:
    `getAssociatedEvents()`

### clearAssociatedEvents

    public void clearAssociatedEvents()

  Removes all ExtenedDataElements that this event is referencing

  Specified by:
    `clearAssociatedEvents` in interface `CommonBaseEvent`

### basicSetMsgDataElement

    public org.eclipse.emf.common.notify.NotificationChain basicSetMsgDataElement(MsgDataElement newMsgDataElement,
                                                                                  org.eclipse.emf.common.notify.NotificationChain msgs)

### basicSetReporterComponentId

    public org.eclipse.emf.common.notify.NotificationChain basicSetReporterComponentId(ComponentIdentification newReporterComponentId,
                                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

### basicSetSituation

    public org.eclipse.emf.common.notify.NotificationChain basicSetSituation(Situation newSituation,
                                                                             org.eclipse.emf.common.notify.NotificationChain msgs)

### basicSetSourceComponentId

    public org.eclipse.emf.common.notify.NotificationChain basicSetSourceComponentId(ComponentIdentification newSourceComponentId,
                                                                                     org.eclipse.emf.common.notify.NotificationChain msgs)

### complete

    public void complete()
                  throws CompletionException

  Description copied from interface: `CommonBaseEvent`
  Invokes the content handler associated, if any, with this event instance.

  Invocations of this method cause the flag denoting if `ContentHandler` associated with this event instance has been previously been invoked to be true.

  Specified by:
    `complete` in interface `CommonBaseEvent`
  Throws:
    `CompletionException` - if the event content cannot be completed for whatever reason.
  See Also:
    `CommonBaseEvent.complete()`

### isComplete

    public boolean isComplete()

  Description copied from interface: `CommonBaseEvent`
  Determines if the `ContentHandler` associated with this event instance, if any, has been previously been invoked.

  Specified by:
    `isComplete` in interface `CommonBaseEvent`
  Returns:
    True if the `ContentHandler` has been previously been invoked, otherwise false.

### eGet

    public java.lang.Object eGet(org.eclipse.emf.ecore.EStructuralFeature eFeature,
                                 boolean resolve)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.EObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          java.lang.Class baseClass,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Specified by:
    `eInverseRemove` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

    public boolean eIsSet(org.eclipse.emf.ecore.EStructuralFeature eFeature)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.EObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

    public void eSet(org.eclipse.emf.ecore.EStructuralFeature eFeature,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.EObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

    public void eUnset(org.eclipse.emf.ecore.EStructuralFeature eFeature)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.EObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### equals

    public boolean equals(java.lang.Object arg0)

  Overrides:
    `equals` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### unsetCreationTime

    public void unsetCreationTime()

  Specified by:
    `unsetCreationTime` in interface `CommonBaseEvent`
  See Also:
    `CommonBaseEvent.isSetCreationTime()`, `CommonBaseEvent.getCreationTime()`, `CommonBaseEvent.setCreationTime(String)`

### unsetElapsedTime

    public void unsetElapsedTime()

  Specified by:
    `unsetElapsedTime` in interface `CommonBaseEvent`
  See Also:
    `CommonBaseEvent.isSetElapsedTime()`, `CommonBaseEvent.getElapsedTime()`, `CommonBaseEvent.setElapsedTime(long)`

### unsetPriority

    public void unsetPriority()

  Specified by:
    `unsetPriority` in interface `CommonBaseEvent`
  See Also:
    `CommonBaseEvent.isSetPriority()`, `CommonBaseEvent.getPriority()`, `CommonBaseEvent.setPriority(short)`

### unsetRepeatCount

    public void unsetRepeatCount()

  Specified by:
    `unsetRepeatCount` in interface `CommonBaseEvent`
  See Also:
    `CommonBaseEvent.isSetRepeatCount()`, `CommonBaseEvent.getRepeatCount()`, `CommonBaseEvent.setRepeatCount(short)`

### unsetSequenceNumber

    public void unsetSequenceNumber()

  Specified by:
    `unsetSequenceNumber` in interface `CommonBaseEvent`
  See Also:
    `CommonBaseEvent.isSetSequenceNumber()`, `CommonBaseEvent.getSequenceNumber()`, `CommonBaseEvent.setSequenceNumber(long)`

### unsetSeverity

    public void unsetSeverity()

  Specified by:
    `unsetSeverity` in interface `CommonBaseEvent`
  See Also:
    `CommonBaseEvent.isSetSeverity()`, `CommonBaseEvent.getSeverity()`, `CommonBaseEvent.setSeverity(short)`

### validate

    public void validate()
                  throws ValidationException

  Checks whether the contents of the instance conform to the CBE specification.

  Specified by:
    `validate` in interface `CommonBaseEvent`
  Throws:
    `ValidationException` - if the event instance does not follow the CBE specification.

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `SerializableImpl`

### externalizeCanonicalXmlString

    public java.lang.String externalizeCanonicalXmlString()

  Specified by:
    `externalizeCanonicalXmlString` in interface `org.eclipse.hyades.logging.core.IExternalizableToXml`
  See Also:
    `IExternalizableToXml.externalizeCanonicalXmlString()`

### externalizeCanonicalXmlDocString

    public java.lang.String externalizeCanonicalXmlDocString()

  Specified by:
    `externalizeCanonicalXmlDocString` in interface `org.eclipse.hyades.logging.core.IExternalizableToXml`
  See Also:
    `IExternalizableToXml.externalizeCanonicalXmlDocString()`

### internalizeCanonicalXmlString

    public void internalizeCanonicalXmlString(java.lang.String value)

  Specified by:
    `internalizeCanonicalXmlString` in interface `org.eclipse.hyades.logging.core.IInternalizableFromXml`
  See Also:
    `IInternalizableFromXml.internalizeCanonicalXmlString(java.lang.String)`

### internalizeCanonicalXmlDocString

    public void internalizeCanonicalXmlDocString(java.lang.String value)

  Specified by:
    `internalizeCanonicalXmlDocString` in interface `org.eclipse.hyades.logging.core.IInternalizableFromXml`
  See Also:
    `IInternalizableFromXml.internalizeCanonicalXmlDocString(java.lang.String)`

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  return a cloned (copy by value) object. This is a deep copy version, in which all the objects within this object will be copied by value.

  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    Object
    `java.lang.CloneNotSupportedException`

### init

    public void init()

  Resets the object's properties to their initial (e.g. null) state.

  Specified by:
    `init` in interface `CommonBaseEvent`
  Since:
    1.0

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD